using System;
using System.Collections.Generic;
using System.Text;
using System.Query;
using System.Data.DLinq;

namespace RecipeBO
{
    public partial class RecipeDC : DataContext
    {

        [InsertMethod]
        public void OnDirectionInsert(Direction current)
        {
            // Execute the stored procedure to save Directions
            int rowCount = this.ExecuteCommand(
                "exec DirectionInsert " +
                "@RecipeID = {0}, @DirectionLineText = {1} ",
                current.RecipeId,
                current.LineText
            );
            if (rowCount < 1)
                throw new OptimisticConcurrencyException();
        }
    }
}
