using System;
using System.Collections.Generic;
using System.Text;
using System.Data.DLinq;

namespace RecipeBO
{
    [Table(Name="Ingredients")]
    public class Ingredient
    {
        int _id;
        int _RecipeId;
        int _order;
        decimal _measurement;
        string _measurementType;
        string _Description;

        [Column(Name="IngredientID", AutoGen=true, DBType="Int NOT NULL IDENTITY", Id=true)]
        public int Id
        {
            get{return _id;}
            set{_id=value;}
        }
        [Column(Name="RecipeID")]
        public int RecipeId
        {
            get {return _RecipeId; }
            set {_RecipeId = value; }
        }

        [Column(Name="SortOrder")]
        public int SortOrder
        { 
            get {return _order;}
            set {_order=value;}
        }

        [Column(Name="Measurement")]
        public decimal Measurement
        {
            get {return _measurement;}
            set {_measurement= value;}
    }
        [Column(Name="MeasurementType")]
        public string MeasurementType
        {
            get{return _measurementType;}
            set{ _measurementType=value;}
        }

        [Column(Name="Ingredient")]
        public string IngredientName
        {
            get{return _Description;}
            set{_Description=value;}
        }
    }
}
