Public Class FileType
    Private _Extension As String
    Private _Description As String

    Public Sub New(ByVal extension As String, ByVal description As String)
        _Extension = extension
        _Description = description
    End Sub

    Public Property Extension() As String
        Get
            Return _Extension
        End Get
        Set(ByVal value As String)
            _Extension = value
        End Set
    End Property

    Public Property Description() As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            _Description = value
        End Set
    End Property
End Class

Public Class FileTypes
    Inherits List(Of FileType)

    Public Sub New()

    End Sub
    Public Shared Function Load() As FileTypes
        Dim tw As New IO.StreamReader(Environment.CurrentDirectory & "\FileTypes.csv")
        Dim extList As New FileTypes

        While Not tw.EndOfStream
            Dim fields As String() = Split(tw.ReadLine(), ",")
            extList.Add(New FileType(fields(0), fields(1)))
        End While
        Return extList
    End Function
End Class