using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace RecipeBO
{
    public partial class Direction
    {
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanging;
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanging(string propertyName)
        {
            if (this.PropertyChanging != null)
            {
                this.PropertyChanging(this,
                    new PropertyChangedEventArgs(propertyName)
                    );
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
