using System;
using System.Collections.Generic;
using System.Text;
using System.Data.DLinq;

namespace RecipeBO
{
    [Table(Name = "Directions")]
    public partial class Direction : INotifyPropertyChanging
    {
        int _DirectionId;
        int _RecipeId;
        int _lineNumber;
        string _lineText;

        [Column(Name = "DirectionID", AutoGen = true, DBType = "Int NOT NULL IDENTIty", Id = true)]
        public int Id
        {
            get { return _DirectionId; }
            set { _DirectionId = value; }
        }

        [Column(Name = "RecipeID")]
        public int RecipeId
        {
            get { return _RecipeId; }
            set { _RecipeId = value; }
        }

        [Column(Name = "DirectionLineNumb")]
        public int LineNumber
        { get { return _lineNumber; } set { _lineNumber = value; } }

        [Column(Name = "DirectionLineText")]
        public string LineText
        {
            get { return _lineText; }
            set
            {
                if (this._lineText != value)
                {
                    this.OnPropertyChanging("LineText");
                    this._lineText = value;
                    this.OnPropertyChanged("LineText");
                }
                _lineText = value;
            }
        }

    }
}
