Imports LinqBlog.BO
Imports System.Collections.Generic
Imports System.Data.Linq

Partial Class Files
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim dc As New LinqBlogDataContext

        Dim files = From f In New System.IO.DirectoryInfo(Server.MapPath("~/Downloads")).GetFiles Join _
                     desc In FileClassic.GetFiles On f.Name Equals desc.FileName _
                    Order By f.LastWriteTime Descending _
                    Select New With {.URL = "Downloads\" & f.Name, _
                                     .Name = System.IO.Path.GetFileNameWithoutExtension(f.Name), _
                                     f.LastWriteTime, f.Length, desc.Description}

        GridView1.DataSource = files
        GridView1.DataBind()
    End Sub

  End Class
